# Attach stamp on annotation

`POST /omni/attach-stamp-on-annotation`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Substitute stamps from interview to previously uploaded PDF contracts at all places with pdf text annotations. Annotations
must contain text with preselected values. Preselected values are:
- NAME (NAME_STAMP),
- ADDRESS (ADDRESS_STAMP),
- DATE #ZoneId# #Format#,
- AGE,
- SEX,
- DOB #Format#,
- COUNTRY,
- STATE,
- PHONE,
- TIME #ZoneId# #Format#,
- SECOND_NAME*

Replace parameter ZoneId with full size zone using time zones used in Java8 TimeDate API Replace parameter Format with format
you wish to display the time and date

Stamps are added in Helvetica, size 13. Endpoint is intended to be used as fluent api. One call to the api gives in
responses id of the signed document which can then be used in the subsequent call to continuously add another signature on a different annotation.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contractId` | string | yes | IDs of previously added contract (ID is returned on /add/document?imageType=contract |
| `customFields` | object |  | Use to add substitute text for stamps with asterisk Eg: `{ "contractId": "e81cd044-98fd-47b0-b0c5-937b22b69977#contract1", "customFields": { "SECOND_NAME": "Luke Skywalker" } }` |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `additionalInformation` | object |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
